User di_hash lookup API
This API retrieves the di_hash value of a user who has successfully completed adult verification.
| Item | Description |
| Content-Type | application/json;charset=utf-8 |
| Authorization | Bearer |
Note
Bearer token corresponds to the Hive authentication key in [App Center > Project Management > Game List - Select your company game > Game details > Basic information].
Request body
| Name | Type | Required (Mandatory: M, Optional: O) | Description |
| game_index | Integer | M | App Center game index |
| player_id | String | M | PlayerID of the Hive account |
Response elements
| Name | Type | Required (Mandatory: M, Optional: O) | Description |
| result_code | Integer | M | Response code |
| result_msg | String | M | Result message for the response code |
| player_id | String | O | PlayerID of the Hive account |
| di_hash | String | O | di_hash |
| verified_at | String | O | Time of adult verification |
Example of retrieving di_hash for an adult-verified user
Request
To retrieve the di_hash of a user who has completed adult verification, include game_index and player_id in the request.
curl -L -v \
-d '{"game_index" : 539, "player_id": "30000056996"}' \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY" \
https://sandbox-adult-auth.qpyou.cn/external/auth/di_hash
Response
{
"result_code": 0,
"result_msg": "Success",
"player_id": "30000056996",
"di_hash": "0c7b9088fc80db0532e599ee444b176fb6dfeb035767f98cf960eb59777f04ce",
"verified_at": "2026-04-27 15:35:03"
}
Response codes (API server)
| Code | Description | Message |
| 0 | Success | Success |
| 201 | Empty request | Request parameters are missing. |
| 202 | Invalid request parameter | Request parameters are invalid. |
| 209 | Header authentication failed | The authentication information does not match. Please check the information you entered again. |